View spendbacks

Returns all spendbacks that meet the specified parameters (if any) and that are associated with the Nexio account used to authenticate.

This is the only endpoint where you can use spendbackRef in the request to view a specific spendback based on that value.

You may also request to filter results using one or more query parameters.

Notes

For example, to return (filter) only the spendback with the specified spendbackRef parameter, the request would look like this: /payout/v3/spendback?spendbackRef=43b57dce-4dca-474a-84f4-4684f3a8aa52

To return (filter) all spendbacks where the currency is EUR and there was an error response from the provider, the request would look like this: /payout/v3/spendback?currency=EUR&spendbackStatus=90

For a more detailed tutorial, see the query parameters section of Guides.

Try It

To use the Try It feature for this endpoint, you must use the credentials for your Sandbox API user.

Request parameters

  • amount
  • currency
  • description
  • endDate
  • id
  • limit
  • offset
  • payoutAccountId
  • providerId
  • providerResponse
  • providerSpendbackRef
  • providerType
  • recipientId
  • recipientRef
  • spendbackRef
  • spendbackStatus
  • startDate
  • updatedAt
  • createdAt
  • spendbackDate

Response parameters

  • offset
  • limit
  • rows
  • rows.id
  • rows.spendbackRef
  • rows.recipientId
  • rows.recipientRef
  • rows.payoutAccountId
  • rows.providerId
  • rows.providerType
  • rows.providerSpendbackRef
  • rows.amount
  • rows.currency
  • rows.description
  • rows.spendbackDate
  • rows.spendbackStatus
  • rows.providerResponse
  • rows.createdAt
  • rows.updatedAt
  • hasMore
Query Params
integer
Defaults to 10

The maximum number of spendback records to return in a response (starting from the default or specified offset query parameter).

integer
Defaults to 0

The offset indicates to the system to skip that many spendback records before beginning to return spendbacks in a response. Setting offset=0 is the same as omitting the offset parameter. If you use both offset and limit, the offset spendbacks are skipped before starting to count the spendbacks to limit.

string

The start date to use for a search of when a spendback record was created. Format: YYYY-MM-DD. However, you can specify parts of the date as well, such as 2021-10 to get all spendbacks created starting in the fourth quarter of 2021. Can be used with endDate to specify a range. The default value is 30 days prior to the current date.

string

The end date to use for a search of when a spendback record was created. Format: YYYY-MM-DD. However, you can specify parts of the date as well, such as 2021-10 to get all spendbacks created in the month of October of 2021. Can be used with startDate to specify a range. The default is the current date.

integer

The ID value auto-generated by Nexio when the spendback request was submitted. This value is used to perform a 'contains' search.

string
length ≤ 100

Reference value for the spendback request. Use this to allow for easier synchronization and searching across different systems. This value is used to perform a 'contains' search.

integer

The Nexio ID for the recipient. This value is used to perform an 'exact match' search.

string
length ≤ 100

Your unique identifier for a recipient. This is the payer account used for the spendback. Use this to allow for easier synchronization and searching across different systems. This value is used to perform a 'contains' search.

integer

The Nexio ID for the payout account. Useful for identifying the business or business segment associated with the recipient. This value is used to perform a 'contains' search.

integer

The Nexio ID for the provider. Indicates which payout provider was associated with this recipient profile. This value is used to perform an 'exact match' search.

integer
enum

The Nexio ID for the provider configuration used to create the recipient. This value is used to perform an 'exact match' search.

Possible values include the following:
10 - Interchecks
20 - Hyperwallet
30 - Payquicker
40 - Nexio's mock payout provider for quicker sandbox integration.

Allowed:
string
length ≤ 100

Reference value for the spendback from the payout provider. This allows for easier synchronization and searching across different systems. This value is used to perform a 'contains' search.

number

The spendback amount. The maximum value has 16 digits total, including up to two of those digits after the decimal point. This value is used to perform an 'exact match' search.

string
length ≤ 3

The three-character ISO currency code for the spendback. This value is used to perform a 'contains' search.

string
length ≤ 200

Description information for the spendback. This value is used to perform a 'contains' search.

string

The date of the spendback, in ISO-8601 format and expressed in UTC.

string
enum

The status of the spendback. This value is used to perform an 'exact match' search. For more information about possible values, see the spendbackStatus table.

Allowed:
string
length ≤ 500

Error message from the provider in case of a failed spendback. This value is used to perform an 'exact match' search.

string

The date and time the spendback record was created in Nexio, formatted as an ISO-8601 date expressed in UTC. This value is used to perform a 'contains' search.

string

The date and time at which the spendback record was most recently updated in Nexio, formatted as an ISO-8601 date expressed in UTC. This value is used to perform a 'contains' search.

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json